Package org.wildfly.plugin.core

## Interface ContainerDescription

-     @Deprecated(forRemoval=true)
      public interface ContainerDescription

  Deprecated, for removal: This API element is subject to removal in a future version.
  moved to new https://github.com/wildfly/wildfly-plugin-tools project
  Information about the running container.
  Author:
    James R. Perkins

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLaunchType()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the type of the server that was launched.
    `String` | `getProductName()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the name of the product.
    `String` | `getProductVersion()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the product version, if defined, or `null` if the product version was not defined.
    `String` | `getReleaseVersion()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the release version, if defined, or `null` if the release version was not defined.
    `boolean` | `isDomain()` | Deprecated, for removal: This API element is subject to removal in a future version. Checks if the server is a managed domain server.

- - ### Method Detail

    - #### getProductName

          String getProductName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the name of the product.
      Returns:
        the name of the product

    - #### getProductVersion

          String getProductVersion()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the product version, if defined, or `null` if the product version was not defined.
      Returns:
        the product version or `null` if not defined

    - #### getReleaseVersion

          String getReleaseVersion()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the release version, if defined, or `null` if the release version was not defined.

      Note that in WildFly 9+ this is usually the version for WildFly Core. In WildFly 8 this is the full version.

      Returns:
        the release version or `null` if not defined

    - #### getLaunchType

          String getLaunchType()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the type of the server that was launched.
      Returns:
        the type of the server that was launched or `null` if not defined

    - #### isDomain

          boolean isDomain()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Checks if the server is a managed domain server.
      Returns:
        `true` if this is a managed domain, otherwise `false`